#include "ecal.h"

int search_in_tab(float *tab,int nb_refs,float ref) {
  int i;
  for(i=0;i<nb_refs;i++) {
    if (ref==tab[i])
      return 1;
  }
  return 0;
}

//return 1 if the block should be cut, 0 otherwise
char cut(struct block *b,char *cutarg1,char *cutarg2,char *cutarg3) {
  int nb_plans=atoi(cutarg1);
  int max_nb_hits=atoi(cutarg2);
  float *ref;
  int nb_refs=1;
  float newz;
  int hit_cnt=0;
  struct event *e;
  if (b->nb_events<=1)
    return 1;
  ref=malloc(nb_plans*sizeof(float));
  ref[0]=atof(get_event_field(b->events,"z"));
  e=b->events->next;
  while(e!=NULL) {
    hit_cnt++;
    newz=atof(get_event_field(e,"z"));
    if (!search_in_tab(ref,nb_refs,newz)) {
      ref[nb_refs]=newz;
      nb_refs++;
    }
    e=e->next;
  }
  free(ref);
  if (hit_cnt>max_nb_hits) {
    return 1;
  }
  if (nb_refs==nb_plans) {
    return 0;
  }
  return 1;
}

