//
// Copyright 2012-2014 Frédéric Magniette, Miguel Rubio-Roy, LLR
//

#ifndef __PARAMS__
#define __PARAMS__

#ifdef __cplusplus 
extern "C" {
#endif

#define BCID_DIFF 2

#define MAXDIFS 100

#define NB_CHANS 64
#define NB_CHIPS 4
#define NB_SCA 16

//other parameters
#define BACKLOG 100
#define BUFFER_SIZE 1024*1024 //in 16 bits words
#define INPUT_SHMEM 1
#define INPUT_FILE 2
#define INPUT_SOCKET 3
#define OUTPUT_PIPE 4
#define OUTPUT_DEBUG 5
#define OUTPUT_SOCKET 6
#define OUTPUT_FILE 7
#define SHARED_BUFFER_SIZE 8192

//"beam & geo"
#define SPILLDIST 200. //ms
#define BCDIST 0.337 //ms
#define DISTDIFDIF 20. //mm
#define CELLSIZE 5. //mm
#define GAPCELLCELL 0.5 //mm


//calibration constant ECAL
#define ECALCALIBR 0.001

///FIXME max number of files (difs)
#define NFILES 20

#ifdef __cplusplus
   extern "C" int _debug;
#else
   int _debug;
#endif

#ifdef __cplusplus
}
#endif

#endif
