//
// Copyright 2012-2014 Frédéric Magniette, Miguel Rubio-Roy, LLR
//

#ifndef __PHYS__
#define __PHYS__



//#include "input.h"
#include "output.h"


#ifdef __cplusplus 


//---- general functions --------------------
extern "C" int LLEofBag(LLEChain_t **_blle, LowLevelEvent_t aLLE);
extern "C" int cutter(LLEChain_t **_globalPoolLLE);

extern "C" int isGoodLLE(LowLevelEvent_t aLLE);

extern "C" int fillGlobPoolLLE(LLEChain_t **_poolLLE);
extern "C" int fillGlobPoolLLE_bk();

extern "C" int fillPoolOfBLLE(LLEChain_t **_poolLLE);

//extern "C" int addNewBagLLE(LLEChain_t **_globPoolLLE, LLEChain_t **_poolBagLLE);

extern "C" HiEvent_t buildHiEvt(LLEChain_t **_blle);

extern "C" HiEvent_t *exportEvent(LLEChain_t ** _poolBLLE);



#else

//----general functions---------------------------

int LLEofBag(LLEChain_t **_blle, LowLevelEvent_t aLLE);
int cutter(LLEChain_t **_globalPoolLLE);

int isGoodLLE(LowLevelEvent_t aLLE);

int fillGlobPoolLLE(LLEChain_t **_poolLLE);
int fillGlobPoolLLE_bk();
int fillPoolOfBLLE(LLEChain_t **_poolLLE);

//int addNewBagLLE(LLEChain_t **_globPoolLLE, LLEChain_t **_poolBagLLE);

HiEvent_t buildHiEvt(LLEChain_t **_blle);

HiEvent_t *exportEvent(LLEChain_t ** _poolBLLE);

#endif //__cplusplus


#endif
