/*
Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
This file is part of Calicoes.
*/

/* Clear error log */
document.getElementById("clear_error_log").addEventListener("click", function() {
  error_log.value="";
});


/* Error logging function */
function add_to_error_log (msg,level) {
  // level>0 set the error tab red. otherwise just add error
  if (!error_tab.classList.contains("active") && level>0) error_tab.classList.add("error");
  error_log.value=(new Date()).toUTCString() + ": " + msg.replace("&lt;","<") + "\n" + error_log.value;
}


/* Generic Pyrame return function */
function generic_return(retcode,res) {
  if (retcode=="0") {
    add_to_error_log(res,1);
    return;
  }
}


