/*
Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
This file is part of Calicoes.
*/

/* Statistics update */
function update_stats() {
  // Do nothing if we aren't on the stats tab
  if (!document.getElementById("stats_tab").classList.contains("active")) return;
  // Do nothing if not ready
  if (!stats_ready) return;
  var variables=document.querySelectorAll("#stats td");
  function return_get_stat(retcode,res,j) {
    if (retcode=="1") variables[j].innerHTML=res;
    else variables[j].innerHTML="not available";
  }
  for (var i=0;i<variables.length;i++) {
    if (variables[i].nodeType==1 && variables[i].cellIndex == 0) {
      pyrame.sendcmd(return_get_stat,i+1,manager_port,"getvar_varmod","varmod","default",variables[i].id);
    }
  }
}


