#!/usr/bin/env python2
# -*- coding: utf-8 -*-
#
# Copyright 2012-2015 Frédéric Magniette, Miguel Rubio-Roy, LLR
#

import sys,time,os,datetime
import bindpyrame

execfile("config.py")

# BINDPYRAME
ps_port=bindpyrame.get_port("PS_PORT")
mm_port=bindpyrame.get_port("MULTIMETER_PORT")

# CONF STRINGS
ps_cs="%s(bus=gpib(bus=tcp(host=%s),dst_addr=%s))"%(model,device_ip,gpib_addr)
mm_cs="mm_%s(bus=gpib(bus=tcp(host=%s),dst_addr=%s))"%(model,device_ip,gpib_addr)

# INIT
retcode,res=bindpyrame.sendcmd(host,ps_port,"init_ps",ps_id,ps_cs)
if retcode==0:
    print("Error initializing PS <- %s"%(res))
    sys.exit(1)
retcode,res=bindpyrame.sendcmd(host,mm_port,"init_multimeter",mm_id,mm_cs)
if retcode==0:
    print("Error initializing MM <- %s"%(res))
    sys.exit(1)

# CONFIG
retcode,res=bindpyrame.sendcmd(host,ps_port,"config_ps",ps_id)
if retcode==0:
    print("Error configuring PS <- %s"%(res))
    sys.exit(1)
retcode,res=bindpyrame.sendcmd(host,mm_port,"config_multimeter",mm_id)
if retcode==0:
    print("Error configuring MM <- %s"%(res))
    sys.exit(1)
