#!/usr/bin/env python2
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2016 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Calicoes.

import os

def wagasci_run_init():
    declare_param("acq_time","duration of acquisition (min)","60")


def wagasci_run_run(acq_time):

    while True:

        #read previous run_nb
        run_nb_filename="/opt/calicoes/config/runid.txt"
        if not os.path.exists(run_nb_filename):
            run_nb_file=open(run_nb_filename,"w")
            run_nb_file.write(u"0")
            run_nb_file.close()
        run_nb_file=open(run_nb_filename,"r")
        prev_run_nb=int(run_nb_file.read())
        run_nb_file.close()

        #calculate current run_nb
        run_nb=prev_run_nb+1

        #update the run nb file
        run_nb_file=open(run_nb_filename,"w")
        run_nb_file.write(u"%04d"%(run_nb))
        run_nb_file.close()
        
        #set run and acq names
        run_name="wagasci/run_%s"%(run_nb)
        acq_name="run_%s"%(run_nb)
        
        #start the run
        run=new_run(run_name)
        timed_acq(acq_name,run,float(acq_time)*60)
        wait_run_finished(run)

execfile("/opt/calicoes/pycaldaq_rcs.py")
