//
// Copyright 2012-2014 Frédéric Magniette, Miguel Rubio-Roy, LLR
//

#ifndef __BLLE__
#define __BLLE__

#ifdef __cplusplus 
extern "C" {
#endif

#include "LowLevelEvent.h"

   typedef struct Bag {
      int nbDifOn;
      short ready;
      LowLevelEvent_t aLLE;
      struct Bag *next;
   } 
   BagOfLLE_t;
   //LLEelement_t;

   //typedef struct BagLLE_t {
   //   LLEelement_t *elem;
   //   LLEelement_t *next;
   //   LLEelement_t *prev;
   //} BagOfLLE_t;

   int cut(BagOfLLE_t **_blle, LowLevelEvent_t aLLE);

#ifdef __cplusplus 
   extern "C" void push(LowLevelEvent_t _aLLE, BagOfLLE_t **bLLE);
   extern "C" void pushEnd(LowLevelEvent_t _aLLE, BagOfLLE_t **bLLE);
   extern "C" void deleteLLE ( int _spill, int _bcid, BagOfLLE_t **bLLE);
   extern "C" void Clear(BagOfLLE_t **bLLE);
   extern "C" void PrintBLLE(BagOfLLE_t **bLLE);
   extern "C" int BagLength(BagOfLLE_t **bLLE);
   extern "C" int buildBagLLE();
#else
   void push(LowLevelEvent_t _aLLE, BagOfLLE_t **bLLE);
   void pushEnd(LowLevelEvent_t _aLLE, BagOfLLE_t **bLLE);
   void deleteLLE ( int _spill, int _bcid, BagOfLLE_t **bLLE);
   void Clear(BagOfLLE_t **bLLE);
   void PrintBLLE(BagOfLLE_t **bLLE);
   int BagLength(BagOfLLE_t **bLLE);
   int buildBagLLE();

#endif

#ifdef __cplusplus
}
#endif
#endif

