//
// Copyright 2012-2014 Frédéric Magniette, Miguel Rubio-Roy, LLR
//

#ifndef __HITINFO__
#define __HITINFO__
#include <stdlib.h>
#include <string.h>


#ifdef __cplusplus 
extern "C" {
#endif


//#include "PoolOfLowLevelEvent.h"
#include "LowLevelEvent.h"
//#include "IO.h"

typedef struct {
   //space
   int I;
   int J;
   int K;
   int M;
   int S;
   float X, Y, Z;

   //time
   float T;

   float E1;
   float E2;
} hit_t;


typedef struct {
   int I;
   int J;
   int size;
} chanMap_t;

#ifdef __cplusplus
extern "C" chanMap_t **chipMap;
#else
chanMap_t **chipMap;
#endif



void readHitMap(char *mfname);
void printHitMap();

//hit_t *encodeHit(LoEvent_t loevt);
//hit_t *encodeHit(evDif_t _evD);
hit_t *encodeHit(LLEChain_t **_blle);

#ifdef __cplusplus
}
#endif
#endif
