//
// Copyright 2012-2014 Frédéric Magniette, Miguel Rubio-Roy, LLR
//

#ifndef __LCIOBLD__
#define __LCIOBLD__

#include "lcio.h"

//#include <gear/LayerLayout.h>


#include "IO/LCWriter.h"
#include "EVENT/LCIO.h"
#include "DATA/LCFloatVec.h"
#include "DATA/LCIntVec.h"

#include "IMPL/LCEventImpl.h" 
#include "IMPL/LCRunHeaderImpl.h" 
#include "IMPL/LCCollectionVec.h"
#include "IMPL/CalorimeterHitImpl.h"
#include "IMPL/SimTrackerHitImpl.h"
#include "IMPL/MCParticleImpl.h" 
#include "IMPL/LCFlagImpl.h" 
#include "IMPL/LCTOOLS.h"

#include "IMPL/TrackerRawDataImpl.h"
#include "IMPL/TrackerDataImpl.h"
#include "IMPL/TrackerPulseImpl.h"

#include "UTIL/LCRelationNavigator.h"
#include "UTIL/LCTime.h"
//#include "UTIL/BitField64.h"
#include "UTIL/CellIDEncoder.h"
#include "UTIL/LCTypedVector.h"
#include "UTIL/LCSplitWriter.h"
#include "UTIL/BitSet32.h"

#include <cstdlib>
#include <iostream>
#include <sstream>

#include <string>

extern "C" {
#include "physics.h"
}

using namespace std ;
using namespace lcio ;


//LCWriter* lcWriter=LCFactory::getInstance()->createLCWriter();
//extern poolOfBagLLE;

class lcioBld {
   public:
      //explicit lcioBld();
      //explicit lcioBld(char *_collName, char *ofname);
      //lcioBld();
      lcioBld(char *_collName, char *ofname);
      ~lcioBld();


      char *_encStr;
      char *_collectionName;
      char *_outputFname;

      LCWriter* lcWriter;
      LCFlagImpl flag;
      //LCEventImpl* lcioEvt;

      void init();
      void writeLcioEvt(HiEvent_t hiEvt);
      void setCollectionName(char *_name);
      void setOutputFileName(char *_oname);

   private:
};
#endif
//#if defined(__cplusplus)
//}
//#endif
