/*
Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
This file is part of Calicoes.
*/


/* Start / stop run */
function return_set_param_manual(retcode,res) {
  if (retcode=="0") {
    add_to_error_log(res,1);
    return;
  }
  pyrame.sendcmd(generic_return,null,manager_port,"start_script_rc");
}
function return_load_manual_run(retcode,res,transition) {
  if (retcode=="0") {
    add_to_error_log(res,1);
    return;
  }
  if (transition=="start") {
    pyrame.sendcmd(return_set_param_manual,null,manager_port,"set_script_param_rc","run_name",document.getElementById("run_name").value);
  } else {
    return_set_param_manual();
  }
}
document.getElementById("start_run").onclick=function() {
  pyrame.sendcmd(return_load_manual_run,"start",manager_port,"load_script_rc","/opt/pyrame/rc_scripts/standard/start_run.py");
}
document.getElementById("stop_run").onclick=function() {
  pyrame.sendcmd(return_load_manual_run,"stop",manager_port,"load_script_rc","/opt/pyrame/rc_scripts/standard/stop_run.py");
}

