/*
Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
This file is part of Calicoes.
*/

/* Update period in ms */
var monitor_update_period = 1000;

/* Port of data plot */
var dataplot_port=9901;


/* Init */
function init_online_monitors() {
}


/* Add the iframe of the monitor */
var monitor_added=false;
function add_monitor() {
  if (!monitor_added) {
    var monitor=document.getElementById("monitor");
    var host=window.location.hostname;
    monitor.innerHTML+="<iframe src=\"http://"+host+":8080/Canvases/Ecanvas/draw.htm?monitoring="+monitor_update_period+"\"></iframe>";
    om_initialized=true;
  }
}

/* Bindings of buttons */
document.getElementById("monitor-rewind").addEventListener("click", function(e) {
  pyrame.sendcmd(generic_return, null, dataplot_port, "rewind_dp");
});
document.getElementById("monitor-stop").addEventListener("click", function(e) {
  pyrame.sendcmd(generic_return, null, dataplot_port, "stop_dp");
});
document.getElementById("monitor-run").addEventListener("click", function(e) {
  pyrame.sendcmd(generic_return, null, dataplot_port, "run_dp");
});
document.getElementById("monitor-one-step").addEventListener("click", function(e) {
  pyrame.sendcmd(generic_return, null, dataplot_port, "onestep_dp");
});
document.getElementById("monitor-clean").addEventListener("click", function(e) {
  pyrame.sendcmd(generic_return, null, dataplot_port, "clean_dp");
});
