#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <datasource.hh>
#include <pyrame.h>
#include <datapyrame.h>
#include "/opt/pyrame/cmdmod_helper.hpp"
#include "CaloTrans.h"

#define BUF_SIZE 64*16*sizeof(struct CaloTransHit)+sizeof(struct CaloTransHeader)+100

struct sdhf_workspace {
  char *cmod_id;
  int nb_ecaldif;
  struct el_workspace *chain;
};


struct el_workspace {
  struct evloop *el;
  int index;
  int dif_id;
  int last_spill;
  levbdim::datasource *ds;
  struct el_workspace *next;
  char mute;
};


void newblock(void *ws,struct block *b);
void newevt(void *ws,struct event *e);
