#!/usr/bin/env python2
# -*- coding: utf-8 -*-
#
# Copyright 2012-2014 Frédéric Magniette, Miguel Rubio-Roy, LLR
#

nblines=8
nbdifs=7

formulas=["lines[0]"
          ,"lines[9]","lines[9]/lines[0]*100"
          ,"lines[0]-lines[5]"
          ,"lines[6]","lines[6]/lines[0]"
          ,"lines[4]","lines[4]/lines[0]"
          ,"lines[1]","lines[1]/lines[0]"
          ,"lines[2]","lines[2]/lines[0]"
          ,"lines[7]"
          ,"lines[8]","lines[0]/lines[8]"
          ,"lines[5]","lines[5]/lines[0]*100"]

filenames=["events"
           ,"bpn_events","norm_bpn_events"
           ,"corrected_events"
           ,"fbcorr","norm_fbcorr"
           ,"gaincorr","norm_gaincorr"
           ,"loss","norm_loss"
           ,"hits","norm_hits"
           ,"chiptrail"
           ,"readout","moysca"
           ,"plain","norm_plain"]

titles=["Events"
       ,"BCID+n events","Normalized BCID+n events"
       ,"Corrected events"
       ,"Front bit corruptions","Normalized front bit corruptions"
       ,"Gain corruptions","Normalized gain corruptions"
       ,"Loss of packets","Normalized loss of packets"
       ,"Hits","Normalized hits"
       ,"Missing chip trailer"
       ,"Readouts","Mean sca per event"
        ,"Plain events","Normalized plain events"]

ylabels=["Nb of events"
        ,"Nb of BCID+n events","Nb of BCID+n events / Nb of events"
        ,"Nb of events - Nb of plain events"
        ,"Nb of FBC","Nb of FBC / Nb of events"
        ,"Nb of GC","Nb of GC / Nb of events"
        ,"Nb of PL","Nb of PL / Nb of events"
        ,"Nb of hits","Nb of hits / Nb of events"
        ,"Nb of MCT"
        ,"Nb of readouts","Nb of events / Nb of readouts"
         ,"Nb of plain events","Nb of plain events / Nb of events"]
