#!/usr/bin/env python2
# -*- coding: utf-8 -*-
#
# Copyright 2012-2014 Frédéric Magniette, Miguel Rubio-Roy, LLR
#

import os

os.system("rm -f *.curve")

from formulas import *


#iterate over formulas
for formp in range(len(formulas)):

    #generating the curve files
    for freq in range(5,105,5):
        total=float(0)
        for dif in range(1,nbdifs+1,1):
            #extract the lines
            with open("fcalib_freq%d_by_dif%d.stat"%(freq,dif)) as f:
                rlines = f.readlines()
            #convert read fields in float
            lines=[]
            for i in range(len(rlines)):
                lines.append(float(rlines[i]))

            #evaluate the result of the formula for this point
            res=float(eval(formulas[formp]))
            #aggregate for global plot
            total=total+res

            #output the point in the file
            output=open(filenames[formp]+"_bydif%d.curve"%(dif),"a");
            output.write("%d %f\n"%(freq,res))
            output.close()
        
        #output the point for the global point
        goutput=open(filenames[formp]+".curve","a");
        goutput.write("%d %f\n"%(freq,total/nbdifs))
        goutput.close()
    
 
