#!/usr/bin/env python2
# -*- coding: utf-8 -*-
#
# Copyright 2012-2014 Frédéric Magniette, Miguel Rubio-Roy, LLR
#

import os
from formulas import *

#iterate over formulas
for formp in range(len(formulas)):

    #generating the gnuplot file 
    gpoutput=open(filenames[formp]+".gp","w");

    #mean curve
    gpoutput.write("set term png\nset output \"%s.png\"\n"%filenames[formp])
    gpoutput.write("set title \"%s\"\n"%titles[formp])
    gpoutput.write("set xlabel \"Frequency (Hz)\"\n")
    gpoutput.write("set ylabel \"%s\"\n"%ylabels[formp])
    gpoutput.write("set key on outside\n")
    gpoutput.write("plot \"fcalib_CC/%s.curve\" title \"CC\" with lines"%filenames[formp])
    gpoutput.write(",\"fcalib_PP/%s.curve\" title \"PP\" with lines\n"%filenames[formp])
   
    #bydif curve
    gpoutput.write("set output \"%s_bydif.png\"\n"%filenames[formp])
    gpoutput.write("set title \"%s\"\n"%titles[formp])
    gpoutput.write("set xlabel \"Frequency (Hz)\"\n")
    gpoutput.write("set ylabel \"%s\"\n"%ylabels[formp])
    gpoutput.write("set key on outside\n")
    for dif in range(1,nbdifs+1):
        if dif==1:
            gpoutput.write("plot \"fcalib_CC/%s_bydif%d.curve\" title \"Dif %d CC\" with lines"%(filenames[formp],dif,dif))
        else:
            gpoutput.write(",\"fcalib_CC/%s_bydif%d.curve\" title \"Dif %d CC\" with lines"%(filenames[formp],dif,dif))
        gpoutput.write(",\"fcalib_PP/%s_bydif%d.curve\" title \"Dif %d PP\" with lines"%(filenames[formp],dif,dif))
    gpoutput.write("\n")

    #close the file
    gpoutput.close()
